/*------------------------------------------------------------
 * Search Form
 *------------------------------------------------------------*/

.search-form {
	position: relative;
	z-index: 2;

	.submit {
		position: absolute;
		top: 0;
		right: 0;
		width: 70px;
		opacity: 0;
		color: transparent;
		z-index: 4;
	}

	.hygge-form-label {
		margin-bottom: 0;
	}

	i {
		position: absolute;
		top: ~"calc( 50% - 0.5em + 4px )";
		right: 0;
		display: block;
		font-size: 16px;
		z-index: 3;
	}

	.close { display: none; }

	.main-content & {
		max-width: 600px;
		margin-left: auto;
		margin-right: auto;
	}
}


.header__search__toggle {
	position: relative;
	z-index: 4;
	float: right;
	margin-right: 20px;
	line-height: 1;
	font-size: 16px;
	color: @black;
	cursor: pointer;
	.transition;

	&.on { color: @grey; }
	&:hover { color: @primary-color; }

	.dark-mode & {
		color: @white;

		&.on { color: @grey; }
		&:hover { color: @primary-color; }
	}
}

.header__search {
	opacity: 0;
	visibility: hidden;
	z-index: -1;
	.transition;
	.placement;
	background: @black;
	height: 100%;

	&.on {
		opacity: 1;
		visibility: visible;
		z-index: 3;
	}

	.search-form {
		.max-width-wrapper;
		height: 100%;
		position: static;

		.hygge-form-label {
			margin: 0;
			height: 100%;
			padding-top: 0;

			label {display: none;}
		}

		input {
			background: none;
			border: none;
			height: 100%;
			color: @white;
			.placeholder( @grey-label );
		}

		i {
			font-size: 16px;
			margin-top: -6px;
			position: absolute;
			right: 20px;
		}

		.close {
			position: absolute;
			display: block;
			top: ~"calc( 50% - 0.5em + 4px )";
			left: 20px;
			margin-top: 7px;
			font-size: 22px;
			color: @grey;
			cursor: pointer;

			&:hover {
				color: @primary-color;
			}
		}
	}
}
